<?php
// Iekļaujam datu bāzes savienojuma failu
include('../includes/db.php');

// SQL vaicājums, lai iegūtu meditāciju veidus no datu bāzes
include('sql/get_meditations.php');

// Izpildām vaicājumu, lai iegūtu meditāciju veidus no datu bāzes
$result =$mysqli->query($sql);

// Sagatavojam meditāciju veidus masīvā JSON formāta izvadīšanai
$meditations = [];
while ($row = $result->fetch_assoc()) {
    // Pievienojam katru meditācijas veidu masīvā
    $meditations[] = $row['name'];
}

// Izvadām sagatavotos meditāciju datus JSON formātā
echo json_encode($meditations);
?>
